Hello everyone,

I'm new to the game, i just downloaded it and updated it, but every time i try to run it jsut keeps checking the client version. = it won't load.

anyoen can help me? thanks in advance